function [wctran, wvtran ]=spl_Wv_analP_2D(x,Par,Ll)
 %2D spline wavelet analysis of a  signal 'x'
    %Par -- spline order
    %Ll -depth of decomposition
    %wvtran - 2D set of the transform coefficients
    %wctran -  the transform coefficients arranged into a cell array
[vx, M]=size(x);

fx=fft2(x);
wctran=cell(Ll,1);
wvtran=[];




for kk=1:Ll
    
   
    A=matr_transP(M,Par,M,1);
   %[wL wH fwvt]=wW_down3(fx,A); 
 [ flo fhi]=flohiP(fx,A);
fx=transpose([ flo fhi]);
[ flo fhi]=flohiP(fx,A);
flh=transpose([ flo fhi]);
[fx,lh,hl,hh]=quartB(flh); 
  lh=real(ifft2(lh));
  hl=real(ifft2(hl));
  hh=real(ifft2(hh));
  wvtran(1:M,1:M)=[fx,lh;hl,hh];
  M=M/2;
  
 wctran{kk}= [{fx},{lh};{hl},{hh}];
 
 
end
ll=real(ifft2(fx));
wvtran(1:M,1:M)=ll;
wctran{kk}{1}=ll;

%%%%%%%%%%%%%%%%%%%%%%%%%%
